unit FCOMClient;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TFrmCOMClient = class(TForm)
    EdSqIn: TEdit;
    BtnSq: TButton;
    EdSqOut: TEdit;
    EdCubeIn: TEdit;
    btnCube: TButton;
    EdCubeOut: TEdit;
    EdInRevString: TEdit;
    btnRevString: TButton;
    EdOutRevString: TEdit;
    EdInRevWords: TEdit;
    BtnRevWords: TButton;
    EdOutRevWords: TEdit;
    procedure FormCreate(Sender: TObject);
    procedure BtnSqClick(Sender: TObject);
    procedure btnCubeClick(Sender: TObject);
    procedure btnRevStringClick(Sender: TObject);
    procedure BtnRevWordsClick(Sender: TObject);
  private
    MixedBag: Variant;
    { Public declarations }
  end;

var
  FrmCOMClient: TFrmCOMClient;

implementation

{$R *.DFM}

uses comobj;

procedure TFrmCOMClient.FormCreate(Sender: TObject);
begin
  MixedBag:=CreateOleObject('MixedBagServer');
end;

procedure TFrmCOMClient.BtnSqClick(Sender: TObject);
begin
   EdSqOut.Text:=MixedBag.square(strtoint(EdSqIn.Text));
end;

procedure TFrmCOMClient.btnCubeClick(Sender: TObject);
begin
  EdCubeOut.Text:=MixedBag.cube(strtoint(EdCubeIn.Text));
end;

procedure TFrmCOMClient.btnRevStringClick(Sender: TObject);
begin
  EdOutRevString.Text:=MixedBag.reverseString(EdInRevString.Text);
end;

procedure TFrmCOMClient.BtnRevWordsClick(Sender: TObject);
begin
  EdOutRevWords.Text:=MixedBag.reverseWords(EdInRevWords.Text);
end;


end.
